## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class ExistsPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.ExistsPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

    public class ExistsPersistentMethod

extends AbstractStaticPersistentMethod

A static method that checks whether an entity exists in the database for the specified id eg. Account.exsits(1)

Since:
  17-Feb-2006
Author:
  Graeme Rocher

Constructor Summary
`ExistsPersistentMethod(GrailsApplication application, org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` `doInvokeInternal(Class clazz, String methodName, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getHibernateTemplate, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExistsPersistentMethod

    public ExistsPersistentMethod(GrailsApplication application,
                                  org.hibernate.SessionFactory sessionFactory,
                                  ClassLoader classLoader)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Class clazz,
                                      String methodName,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractStaticPersistentMethod`

Copyright (c) 2005-2006 The Grails project